#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	C++ wrappers for libgnomeui
Summary(pl.UTF-8):	Interfejsy C++ dla libgnomeui
Name:		libgnomeuimm
Version:	2.28.0
Release:	7
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgnomeuimm/2.28/%{name}-%{version}.tar.bz2
# Source0-md5:	6c34dbe07cf9835c36f7d0b7bc38d4fb
URL:		https://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gconfmm-devel >= 2.20.0
BuildRequires:	gnome-vfsmm-devel >= 2.20.0
# "We would need libbonobuimm to support Bonobo::Dock, but it's not worth the bother"
#BuildRequires:	libbonobouimm-devel >= 2.5.0
BuildRequires:	libglademm-devel >= 2.6.4
BuildRequires:	libgnomecanvasmm-devel >= 2.20.0
BuildRequires:	libgnomemm-devel >= 2.20.0
BuildRequires:	libgnomeui-devel >= 2.19.1
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	m4
BuildRequires:	pkgconfig
Requires:	libgnomeui >= 2.19.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++ wrappers for libgnomeui.

%description -l pl.UTF-8
Interfejsy C++ dla libgnomeui.

%package devel
Summary:	Devel files for libgnomeuimm
Summary(pl.UTF-8):	Pliki nagłówkowe dla libgnomeuimm
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gconfmm-devel >= 2.20.0
Requires:	gnome-vfsmm-devel >= 2.20.0
Requires:	libglademm-devel >= 2.6.4
Requires:	libgnomecanvasmm-devel >= 2.20.0
Requires:	libgnomemm-devel >= 2.20.0
Requires:	libgnomeui-devel >= 2.19.1

%description devel
Devel files for libgnomeuimm.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla libgnomeuimm.

%package static
Summary:	libgnomeuimm static library
Summary(pl.UTF-8):	Biblioteka statyczna libgnomeuimm
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libgnomeuimm static library.

%description static -l pl.UTF-8
Biblioteka statyczna libgnomeuimm.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I scripts
%{__autoconf}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgnomeuimm-2.6.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS TODO
%attr(755,root,root) %{_libdir}/libgnomeuimm-2.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnomeuimm-2.6.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomeuimm-2.6.so
%{_libdir}/libgnomeuimm-2.6
%{_includedir}/libgnomeuimm-2.6
%{_pkgconfigdir}/libgnomeuimm-2.6.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomeuimm-2.6.a
%endif
%changelog
* Sat Sep 05 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgnomeuimm.git;a=log;h=master

* Sat Sep 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 7b4c2da
- drop .la file, release 7

* Mon Mar 25 2019 Jan Rękorajski <baggins@pld-linux.org> a7db3e2
- release 6 (by relup.sh)

* Fri Mar 15 2019 Jan Palus <atler@pld-linux.org> 9a1ffac
- release 5 (by relup.sh)

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 81aeeb7
- x32 rebuild
- release 4 (by relup.sh)

* Thu Jun 03 2010 Jan Rękorajski <baggins@pld-linux.org> 0e5a64e
- rel 3

* Thu Jun 03 2010 Jan Rękorajski <baggins@pld-linux.org> a83f8f9
- rel 2

* Tue Feb 09 2010 Szymon Siwek <sls@pld-linux.org> c5ca127
- ver. 2.28.0

* Tue Dec 02 2008 hawk <hawk@pld-linux.org> 99c54b9
- release 3

* Sun Nov 16 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> bb3e2a9
- release 2

* Fri Nov 07 2008 Szymon Siwek <sls@pld-linux.org> 6292a2b
- ver. 2.24.0

* Wed Apr 16 2008 Szymon Siwek <sls@pld-linux.org> 2b96e81
- ver. 2.22.0

* Sat Jan 26 2008 Jakub Bogusz <qboosh@pld-linux.org> 3889e3e
- ghost soname symlink
- added X11 to Groups
- License is LGPL (v2+)

* Sat Sep 15 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 3c90842
- updated to 2.20.0

* Fri Mar 16 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 11037fe
- updated to 2.18.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1390eb1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ab63f3d
- converted to UTF-8

* Fri Aug 18 2006 freetz <freetz@pld-linux.org> 77d3090
- 2.16.0, updated deps

* Wed May 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 3756c61
- merged deps update from AC-branch

* Sat Apr 22 2006 Jan Rękorajski <baggins@pld-linux.org> 633d142
- orphaned, outdated

* Thu Mar 16 2006 freetz <freetz@pld-linux.org> 3226a48
- 2.14.0

